Skip to navigation

Update recipients in template

View as Markdown

Updates recipients in a template.

You can edit the following properties: email, userName, routingOrder, faxNumber, deliveryMethod, accessCode, and requireIdLookup.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Query parameters

resend_envelopestringOptional

When set to true, resends the envelope if the new recipient’s routing order is before or the same as the envelope’s next recipient.

Request

This endpoint expects an object: templateRecipients

agentslist of objectsOptional
A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
carbonCopieslist of objectsOptional
A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
editorslist of objectsOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When set to true, the envelope time zone information is included in the message.
sealslist of objectsOptional

Specifies one or more electronic seals to apply on documents. For more information on Electronic Seals , see https://support.docusign.com/en/guides/ndse-user-guide-apply-electronic-seals

signerslist of objectsOptional
A complex type containing information about the Signer recipient.
witnesseslist of objectsOptional

Response

Successful response.
recipientUpdateResultslist of objectsOptional

Errors

400
Bad Request Error